Skip to Content
veriom

List workspaces

GET
/v1/workspaces

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Query Parameters

cursor?string|null
limit?Limit
Range1 <= value <= 100
Default50

Response Body

Successful Response

application/json
  1. response
has_more?Has More
Defaultfalse
items*array<>
next_cursor?string|null
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces'
Example Response
{  "has_more": false,  "items": [    {      "deletion_requested_at": "2019-08-24T14:15:22Z",      "deletion_scheduled_for": "2019-08-24T14:15:22Z",      "demo_mode": false,      "github_account_id": 0,      "github_account_type": "organization",      "github_organization_id": 0,      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "logo_url": "string",      "name": "string",      "role": "owner",      "scanner_entitled": true,      "slug": "string",      "trial_audit_used": true    }  ],  "next_cursor": "string"}